#
# spec file for package python-tqdm
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define oldpython python
%{?!python_module:%define python_module() python-%{**} python3-%{**}}
%bcond_without test
Name:           python-tqdm
Version:        4.19.2
Release:        0
Summary:        An extensible progress meter
License:        MPL-2.0 and MIT
Group:          Development/Languages/Python
Url:            https://github.com/tqdm/tqdm
Source:         https://files.pythonhosted.org/packages/source/t/tqdm/tqdm-%{version}.tar.gz
BuildRequires:  %{python_module devel}
BuildRequires:  %{python_module rpm-macros}
BuildRequires:  %{python_module setuptools}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
# SECTION test requirements
%if %{with test}
BuildRequires:  %{python_module nose}
BuildRequires:  %{python_module numpy}
BuildRequires:  %{python_module pandas}
%endif
# /SECTION
Requires(post): update-alternatives
Requires(postun): update-alternatives
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch

%python_subpackages

%description
tqdm lets you output a progress meter from within loops by wrapping
any iterable with "tqdm(iterable)".
tqdm's overhead is one order of magnitude less than python-progressbar
and does not require ncurses.

%prep
%setup -q -n tqdm-%{version}
# fix installation directory for man pages
sed -i 's#man/man1#share/man/man1#' setup.py

%build
%python_build

%install
%python_install
%python_clone -a %{buildroot}%{_bindir}/tqdm
%python_clone -a %{buildroot}%{_mandir}/man1/tqdm.1
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%post
%{python_install_alternative tqdm tqdm.1}

%postun
%python_uninstall_alternative tqdm

%if %{with test}
%check
%python_exec %{_bindir}/nosetests --ignore-files="tests_perf\.py"
%endif

%files %{python_files}
%defattr(-,root,root,-)
%doc README.rst logo.png examples
%if 0%{?leap_version} >= 420200 || 0%{?suse_version} > 1320
%license LICENCE
%else
%doc LICENCE
%endif
%{python_sitelib}/*
%python_alternative %{_bindir}/tqdm
%python_alternative %{_mandir}/man1/tqdm.1

%changelog
